Firefox : les extensions à la Chrome se précisent

Le par  |  4 commentaire(s)
Firefox-addons

La transition vers un nouveau modèle d'extensions pour Firefox va sérieusement débuter en ce début d'année et jusqu'à l'été prochain.

Firefox-developer-editionAvec l'implémentation de la technologie WebExtensions, un gros chamboulement est en train de s'opérer pour les extensions dans Firefox. Ce chantier avait été annoncé l'été dernier et prendra fin l'été prochain avec la version stable de Firefox 48.

Les WebExtensions commenceront toutefois à arriver dans Firefox 45 en mars grâce au support complet de premières nouvelles API, tandis que d'autres auront droit à un support partiel dans le cadre d'un projet actuellement au stade alpha.

Au bout du chemin, les extensions conçues avec WebExtensions seront entièrement compatibles avec le multi-processus de Firefox et fonctionneront dans Chrome et Opera. Avec l'abandon des technologies XUL et XPCOM, c'est du reste un fonctionnement des extensions similaire à celles pour Google Chrome qui est visé.

Complément d'information

Vos commentaires

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #1873967
Ça, plus le webkit supporté bientôt dans Firefox, à quand un Firechrome j'ai envie de dire

Blague à part, cette uniformisation des des extensions est une EXCELLENTE idée !
Le #1873984
Une excellente chose... Il serait temps à vrai dire.
Le #1873988
Safirion a écrit :

Une excellente chose... Il serait temps à vrai dire.


Bof, en fait certaines extensions bien pratiques comme Vimperator/pentadactyl risquent de passer simplement à la trappe car la nouvelle API ne fournit pas autant de possibilités que les anciennes (et les extensions comme Vimium, vimFX ou autres sont loin, très très loin d'être aussi complètes). Donc si pas de vimperator/pentadactyl possible avec le nouveau système: au revoir firefox et bonjour qutebrowser.
Le #1874045
dommage de devoir quitter firefox avec l'abandon pur et simple de XUL... Ils pourraient garder un support en option, activable par l’utilisateur.
De nombreuses extensions que j'utilise au quotidien vont cesser de fonctionner. Obliger d'utiliser des forks de firefox.
Le #1874065
lidstah a écrit :

Safirion a écrit :

Une excellente chose... Il serait temps à vrai dire.


Bof, en fait certaines extensions bien pratiques comme Vimperator/pentadactyl risquent de passer simplement à la trappe car la nouvelle API ne fournit pas autant de possibilités que les anciennes (et les extensions comme Vimium, vimFX ou autres sont loin, très très loin d'être aussi complètes). Donc si pas de vimperator/pentadactyl possible avec le nouveau système: au revoir firefox et bonjour qutebrowser.


Oui mais il faut voir aussi les avantages que cela apporte :
-Extensions universelles
-Simplification des processus de mise à jour de ses extensions (comparée à celles de Firefox (bon, après j'ai pas testé firefox depuis sa version 4, donc ça s'était surement déjà amélioré))
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]